Page MenuHomePhabricator

migrate endpoint from old registry instance to new one
Closed, ResolvedPublic

Description

this would involve the following:

  • copy the content from docker_registry swift container into docker_registry_codfw container
  • wait until swift replication ends
  • maintain both swift containers synced.
  • expose new VMs to lvs servers.
  • announce the migration day
  • celebrate

Event Timeline

fsero created this task.Apr 16 2019, 2:55 PM
Restricted Application removed a project: Patch-For-Review. · View Herald TranscriptApr 16 2019, 2:55 PM
Dzahn added a subscriber: Dzahn.Apr 17 2019, 10:23 PM

Mentioned in SAL (#wikimedia-operations) [2019-04-23T08:54:29Z] <fsero> synchronizing old docker_registry content into new one - T221101

Change 506367 had a related patch set uploaded (by Fsero; owner: Fsero):
[operations/puppet@production] registryha: feat: introducing LVS configuration

https://gerrit.wikimedia.org/r/506367

Change 506369 had a related patch set uploaded (by Fsero; owner: Fsero):
[operations/dns@master] registryha: feat: new records for lvs

https://gerrit.wikimedia.org/r/506369

Change 506369 had a related patch set uploaded (by Fsero; owner: Fsero):
[operations/dns@master] registryha: feat: new records for lvs Updated: added reverse records

https://gerrit.wikimedia.org/r/506369

Change 506369 merged by Fsero:
[operations/dns@master] registryha: feat: new records for lvs Updated: added reverse records

https://gerrit.wikimedia.org/r/506369

Change 506367 merged by Fsero:
[operations/puppet@production] registryha: feat: introducing LVS configuration

https://gerrit.wikimedia.org/r/506367

Mentioned in SAL (#wikimedia-operations) [2019-04-30T09:26:20Z] <fsero> creating lvs endpoints for docker registry - T221101

Change 507282 had a related patch set uploaded (by Fsero; owner: Fsero):
[operations/puppet@production] registryha,lvs: bug: modifying check LVS

https://gerrit.wikimedia.org/r/507282

Change 507282 merged by Fsero:
[operations/puppet@production] registryha,lvs: bug: modifying check LVS

https://gerrit.wikimedia.org/r/507282

fsero updated the task description. (Show Details)Apr 30 2019, 11:00 AM
fsero updated the task description. (Show Details)

Change 508994 had a related patch set uploaded (by Fsero; owner: Fsero):
[operations/puppet@production] registryha,lvs: feat(T221101) adding missing discovery data

https://gerrit.wikimedia.org/r/508994

Change 508994 had a related patch set uploaded (by Fsero; owner: Fsero):
[operations/puppet@production] registryha,lvs: feat(T221101) adding missing discovery data

https://gerrit.wikimedia.org/r/508994

Change 508996 had a related patch set uploaded (by Fsero; owner: Fsero):
[operations/dns@master] registryha: feat(T221101) swifting traffic to new registry

https://gerrit.wikimedia.org/r/508996

Change 508996 had a related patch set uploaded (by Fsero; owner: Fsero):
[operations/dns@master] registryha: feat(T221101) swifting traffic to new registry

https://gerrit.wikimedia.org/r/508996

Change 508994 merged by Fsero:
[operations/puppet@production] registryha,lvs: feat(T221101) adding missing discovery data

https://gerrit.wikimedia.org/r/508994

Change 509049 had a related patch set uploaded (by Fsero; owner: Fsero):
[operations/puppet@production] registryha: moving docker-registry.w.o to new registry

https://gerrit.wikimedia.org/r/509049

Mentioned in SAL (#wikimedia-operations) [2019-05-09T12:49:00Z] <fsero> switching traffic from old-registry to new registries registry[12]00[12] - T221101

Change 508996 merged by Fsero:
[operations/dns@master] registryha: feat(T221101) swifting traffic to new registry

https://gerrit.wikimedia.org/r/508996

Mentioned in SAL (#wikimedia-operations) [2019-05-09T13:13:55Z] <fsero> running authdns-update for new docker-registry T221101

Change 509049 merged by Fsero:
[operations/puppet@production] registryha: moving docker-registry.w.o to new registry

https://gerrit.wikimedia.org/r/509049

fsero closed this task as Resolved.May 9 2019, 4:24 PM
fsero updated the task description. (Show Details)

Change 509879 had a related patch set uploaded (by Fsero; owner: Fsero):
[operations/puppet@production] registryha,traffic: feat: docker-registry.w.o should only hit codfw

https://gerrit.wikimedia.org/r/509879

Change 509879 merged by Fsero:
[operations/puppet@production] registryha,traffic: feat: docker-registry.w.o should only hit codfw

https://gerrit.wikimedia.org/r/509879